Page MenuHomePhabricator

Please update the interwiki cache (April 2019)
Closed, ResolvedPublic

Description

Please update the interwiki cache following the creation of https://hyw.wikipedia.org.

Apparently scap update-interwiki-cache won't work (T219103) so the deployer might want to try using the dumpInterwiki.php maintenance script located in the mediawiki/extensions/WikimediaMaintenance (rEWMA) repository.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 1 2019, 5:33 PM
Ammarpad renamed this task from Pleae update the interwiki cache to Please update the interwiki cache.Apr 1 2019, 7:46 PM

Yes, and no. This in actuality was undertaken on 4 April.

2019-04-04
13:46 <ladsgroup@deploy1001> Synchronized wmf-config/interwiki.php: Update interwiki cache (duration: 03m 37s)

At the same time it needs doing again, so whatever is a functional means

Krinkle renamed this task from Please update the interwiki cache to Please update the interwiki cache (April 2019).May 11 2019, 6:21 PM
Krinkle added a subscriber: Krinkle.

What is actually broken, and what caused the breakage? As I understand it (and that may be incorrect) updates to iw cache should only be needed to apply new changes from Meta-Wiki.

Changes needed to make a wiki work should be part of the wiki creation process. Is there a step missing in the wiki creation process?

Reedy closed this task as Resolved.May 11 2019, 6:26 PM
Reedy claimed this task.

What is actually broken, and what caused the breakage? As I understand it (and that may be incorrect) updates to iw cache should only be needed to apply new changes from Meta-Wiki.
Changes needed to make a wiki work should be part of the wiki creation process. Is there a step missing in the wiki creation process?

Numerous outstanding changes apparently https://gerrit.wikimedia.org/r/509597